Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Stefan Kangas <[email-masked]>
Date: Thu, 10 Oct 2019 13:52:32 +0200

Eli Zaretskii <[email-masked]> writes:

> Like Andreas says, the dates are in Latin-9, but the file names are in
> UTF-8 (probably utf-8-hfs).  Maybe we should on macOS override the
> locale when we invoke 'ls'?

I like that idea.  Perhaps we could just make sure that the encoding
is always "UTF-8" while respecting the language.

> And I repeat my question: how about using ls-lisp.el on macOS by
> default?

IMHO, it would be better to improve the support for the BSD-derivative
'ls' versions.

Best regards,
Stefan Kangas